Package org.eclipse.emf.cdo.view

## Class CDOStaleReferencePolicy.DynamicProxy

- java.lang.Object
- - org.eclipse.emf.cdo.view.CDOStaleReferencePolicy.DynamicProxy

- All Implemented Interfaces:
    `CDOStaleReferencePolicy`
  Direct Known Subclasses:
    `CDOStaleReferencePolicy.DynamicProxy.Enhanced`
  Enclosing interface:
    CDOStaleReferencePolicy

      public static class CDOStaleReferencePolicy.DynamicProxy
      extends java.lang.Object
      implements CDOStaleReferencePolicy

  A `stale reference policy` that provides `Java dynamic proxies` when stale references are aceessed.
  Since:
    4.4
  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `CDOStaleReferencePolicy.DynamicProxy.Enhanced` | A `dynamic proxy stale reference policy` with advanced `type` computation and caching.

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

      `CDOStaleReferencePolicy.DynamicProxy`

  - ### Field Summary

    - ### Fields inherited from interface org.eclipse.emf.cdo.view.CDOStaleReferencePolicy

      `DEFAULT, EXCEPTION, PROXY`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DynamicProxy()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.eclipse.emf.ecore.EClassifier` | `getType​(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature feature, int index, CDOID target)` |
    `java.lang.Object` | `processStaleReference​(org.eclipse.emf.ecore.EObject source, org.eclipse.emf.ecore.EStructuralFeature feature, int index, CDOID target)` | Returns an object that we want to return to the caller (clients).
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DynamicProxy

          public DynamicProxy()

  - ### Method Detail

    - #### processStaleReference

          public java.lang.Object processStaleReference​(org.eclipse.emf.ecore.EObject source,
                                                        org.eclipse.emf.ecore.EStructuralFeature feature,
                                                        int index,
                                                        CDOID target)

      Description copied from interface: `CDOStaleReferencePolicy`
      Returns an object that we want to return to the caller (clients). Exception thrown will be received by the caller (clients).
      Specified by:
        `processStaleReference` in interface `CDOStaleReferencePolicy`

    - #### getType

          protected org.eclipse.emf.ecore.EClassifier getType​(org.eclipse.emf.ecore.EObject source,
                                                              org.eclipse.emf.ecore.EStructuralFeature feature,
                                                              int index,
                                                              CDOID target)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`